
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>【OpenCV归纳】4 关于HighGUI / iVAN</title>

    <meta name="description" content="【OpenCV归纳】4 关于HighGUI ﻿﻿ 通过HighGUI(high-level graphical user interface)可以实现打开窗口.显示图像.读出和写入图像文件,处理鼠标.光标.键盘事件.而HighGUI主要分成&quot;视频输入/输出&quot;.&quot;图像输入/输出&quot;和&quot;GUI工具&quot;,分别在cacap*.grfmt*和window*源文件中实现. int cvNamedWindow  ( const char* name,    int flags=CV_WINDOW_ ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">【OpenCV归纳】4 关于HighGUI</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>﻿﻿</p>
<p>通过HighGUI(high-level graphical user interface)可以实现打开窗口、显示图像、读出和写入图像文件，处理鼠标、光标、键盘事件。而HighGUI主要分成“视频输入/输出”、“图像输入/输出”和“GUI工具”，分别在cacap*、grfmt*和window*源文件中实现。</p>
<p>int cvNamedWindow  <br />
( const char* name,  <br />
  int flags=CV_WINDOW_AUTOSIZE  <br />
);</p>
<p>int cvNamedWindow<br />
( const char* name,<br />
  int              flags=CV_WINDOW_AUTOSIZE<br />
);</p>
<p>第一个参数用来表示新窗口的名称，这个名称显示在窗口的顶部，同时用作HighGUI中其他函数调用窗口的句柄。第二参赛是个标志，用来表示是否需要使窗口大小自动适应读入的图像大小。释放可以用cvReleaseImage()和cvDestroyWindow()来实现。</p>
<p>       载入图像可以用cvLoadImage()，当打开一副图像时，该函数并不分析文件扩展名，而是通过分析图像文件的前几个字节来确定图像的编码格式。注意：当cvLoadImage()读入失败时，并不会产生一个运行时错误，而是返回一个空指针。与cvLoadImage()对应的函数是cvSaveImage()，其实现了保存图像功能。</p>
<p>IplImage* cvLoadImage <br />
( const char* filename,  <br />
  int              iscolor=CV_LOAD_IMAGE_COLOR  <br />
);  <br />
  <br />
int cvSaveImage  <br />
(  <br />
 const char*   filename,  <br />
 const CvArr* image  <br />
);  <br /> IplImage* cvLoadImage<br />
( const char* filename,<br />
  int              iscolor=CV_LOAD_IMAGE_COLOR<br />
);</p>
<p>int cvSaveImage<br />
(<br />
  const char*   filename,<br />
  const CvArr* image<br />
);</p>
<p>代码中的CvArr是C语言的风格，功能与面向对象语言中基类类似的结构。同样的显示图像可以用cvShowImage()。我比较喜欢读代码所以在此贴一段标准的实例吧。</p>
<p>int main(int argc,char** argv) <br />
{  <br />
    // Create a named window with the name of the file.  <br />
    cvNamedWindow(argv[1],1]);  <br />
  <br />
    // Load the image from the given file name.  <br />
    IplImage* img=cvLoadImage(argv[1]);  <br />
  <br />
    // Show the image the user hits the "Esc" key.  <br />
    while(1)  <br />
    {  <br />
        if(cvWaitKey(100)==27)  <br />
             break;  <br />
     }  <br />
     // Clean up and don't be piggies  <br />
     cvDestoryWindow(argv[1]);  <br />
     cvReleaseImage(&amp;img);  <br />
} <br />int main(int argc,char** argv)<br />
{<br />
    // Create a named window with the name of the file.<br />
    cvNamedWindow(argv[1],1]);</p>
<p>    // Load the image from the given file name.<br />
    IplImage* img=cvLoadImage(argv[1]);</p>
<p>    // Show the image the user hits the "Esc" key.<br />
    while(1)<br />
    {<br />
        if(cvWaitKey(100)==27)<br />
             break;<br />
     }<br />
     // Clean up and don't be piggies<br />
     cvDestoryWindow(argv[1]);<br />
     cvReleaseImage(&amp;img);<br />
}</p>
<p>   在cvLoadImage()中当然你也可以直接输入Linux地址。</p>
<p>void cvMoveWindow  <br />
( const char* name,  <br />
  int  x,  <br />
  int  y  <br />
);  </p>
<p>void cvMoveWindow<br />
( const char* name,<br />
  int  x,<br />
  int  y<br />
);</p>
<p>cvMoveWindow()将窗口移动到其左上角为x,y的位置。下面介绍要给很重要的函数。</p>
<p>while(1)  <br />
{  <br />
    if(cvWaitKey(1000)==27)  <br />
        break;  <br />
}  <br /> while(1)<br />
{<br />
    if(cvWaitKey(1000)==27)<br />
        break;<br />
}</p>
<p>在这个程序中，则是告诉OpenCV等待用户触发事件100ms，如果在100ms内没有用户触发则继续循环；如果用户触发且按键ASCII码为27（ESC），则退出循环。</p>
<p>在鼠标事件中，和键盘当然最大的不同就是，鼠标响应事件采用回掉函数的方式来处理。因此为了可以响应鼠标点击事件，首先必须创建一个回掉函数。在创建这个函数之后需要在OpenCV中注册这个函数，以便特定窗口被触发鼠标事件后，OpenCV可以正确的调用这个函数。</p>
<p>void CvMouseCallback<br />
(<br />
   int event,<br />
   int x,<br />
   int y,<br />
   int flags,<br />
   void* param<br />
);</p>
<p>event必须是以下表中的一个值。第二个以及第三个参数被设置成事件发生时鼠标位置的x,y坐标值。注意：这些坐标代表窗口中图像的像素坐标，与窗口的大小没有关系。第四个参数flags，每一位指定了在事件发生时的不同状态。例如CV_EVENT_FLAGS_SHIFTKEY的值为16（flags的第五位为1），如果想知道shift是否被触发，可以用flags与位掩码（1&lt;&lt;4）求与。最后一个参数是一个void指针，可以用来以任何结构方式传递额外的参数信息。</p>
<table>
<tbody>
<tr>
<td>事件名称</td>
<td>数值</td>
</tr>
<tr>
<td>CV_EVENT_MOUSEMOVE</td>
<td>0</td>
</tr>
<tr>
<td>CV_EVENT_LBUTTONDOWN</td>
<td>1</td>
</tr>
<tr>
<td>CV_EVENT_RBUTTONDOWN</td>
<td>2</td>
</tr>
<tr>
<td>CV_EVENT_MBUTTONDOWN</td>
<td>3</td>
</tr>
<tr>
<td>CV_EVENT_LBUTTONUP</td>
<td>4</td>
</tr>
<tr>
<td>CV_EVENT_RBUTTONUP</td>
<td>5</td>
</tr>
<tr>
<td>CV_EVENT_MBUTTONUP</td>
<td>6</td>
</tr>
<tr>
<td>CV_EVENT_LBUTTONDBLCLK</td>
<td>7</td>
</tr>
<tr>
<td>CV_EVENT_RBUTTONDBLCLK</td>
<td>8</td>
</tr>
<tr>
<td>CV_EVENT_MBUTTONDBLCLK</td>
<td>9</td>
</tr>
</tbody>
</table>
<p>实现注册的函数是cvSetMouseCallback(),该函数需要3个参数。第一个参数指定了回掉函数需要注册到的窗口，第二个参数为回掉函数，最后一个参数用来传递额外的信息给前面提到的void* param参数。</p>
<p>void cvSetMouseCallback <br />
(  <br />
    const char* window_name,  <br />
    CvMouseCallback  on_mouse,  <br />
    void* param=NULL  <br />
); </p>
<p>void cvSetMouseCallback<br />
(<br />
    const char* window_name,<br />
    CvMouseCallback  on_mouse,<br />
    void* param=NULL<br />
);</p>
<p>以下是一个完整的实例。</p>
<p>#include&lt;cv.h&gt; <br />
#include&lt;highgui.h&gt;  <br />
  <br />
void my_mouse_callback(int event, int x, int y, int flags, void* param);  <br />
  <br />
CvRect box;  <br />
bool drawing_box = false;  <br />
  <br />
// A litte subroutine to draw a box onto an image  <br />
void draw_box(IplImage* img, CvRect rect)  <br />
{  <br />
    cvRectangle(img,   <br />
        cvPoint(box.x, box.y),   <br />
        cvPoint(box.x + box.width, box.y + box.height),  <br />
        cvScalar(0xff, 0x00, 0x00));  <br />
}  <br />
  <br />
int main(int argc, char* argv[])  <br />
{  <br />
    box = cvRect(-1, -1, 0, 0);  <br />
    IplImage* image = cvCreateImage(  <br />
        cvSize(200, 200),  <br />
        IPL_DEPTH_8U,  <br />
        3);  <br />
    cvZero(image);  <br />
    IplImage* temp = cvCloneImage(image);  <br />
    cvNamedWindow("Box Example");  <br />
  <br />
    cvSetMouseCallback("Box Example",  <br />
        my_mouse_callback,  <br />
        (void*)image);  <br />
  <br />
    while (1)  <br />
    {  <br />
        cvCopyImage(image, temp);  <br />
        if (drawing_box)  <br />
            draw_box(temp, box);  <br />
        cvShowImage("Box Example", temp);  <br />
  <br />
        if (cvWaitKey(15) == 27)  <br />
            break;  <br />
    }  <br />
  <br />
    cvReleaseImage(&amp;image);  <br />
    cvReleaseImage(&amp;temp);  <br />
    cvDestroyWindow("Box Example");  <br />
}  <br />
  <br />
void my_mouse_callback(int event, int x, int y, int flags, void* param)  <br />
{  <br />
    IplImage* image = (IplImage*)param;  <br />
  <br />
    switch (event)  <br />
    {  <br />
    case CV_EVENT_MOUSEMOVE:  <br />
    {  <br />
        if (drawing_box)  <br />
        {  <br />
            box.width = x - box.x;  <br />
            box.height = y - box.y;  <br />
        }  <br />
    }  <br />
        break;  <br />
    case CV_EVENT_LBUTTONDOWN:  <br />
    {  <br />
        drawing_box = true;  <br />
        box = cvRect(x, y, 0, 0);  <br />
    }  <br />
        break;  <br />
    case CV_EVENT_LBUTTONUP:  <br />
    {  <br />
        drawing_box = false;  <br />
        if (box.width &lt; 0)  <br />
        {  <br />
            box.x += box.width;  <br />
            box.width *= -1;  <br />
        }  <br />
        if (box.height&lt;0)  <br />
        {  <br />
            box.y += box.height;  <br />
            box.height *= -1;  <br />
        }  <br />
        draw_box(image, box);  <br />
    }  <br />
        break;  <br />
    }  <br />
}</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 10:52:00</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>【OpenCV归纳】4 关于HighGUI的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4NQGPM.html" rel="bookmark">【OpenCV归纳】2  读写视频</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				﻿﻿ 除了读入图片之外,读写视频也足够简单易学,下面来看看如何读写视频吧. 播放硬盘中的视频: #include &quot;highgui.h&quot; int main(int argc,char** argv) { cvNamedWindow(&quot;Test2&quot;,CV_WINDOW_AUTOSIZE); CvCapture* capture=cvCreateFileCapture(argv[1]); IplImage* frame; while(1) { frame=cvQuery			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOlLQ8b.html" rel="bookmark">【OpenCV归纳】1 体验OpenCV</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				#include &quot;highgui.h&quot; int main(int argc,char** argv) { IplImage* img=cvLoadImage(argv[1]); cvNamedWindow(&quot;Test1&quot;,CV_WINDOW_AUTOSIZE); cvShowImage(&quot;Test1&quot;,img); cvWaitKey(0); cvReleaseImage(&amp;img); cvDestoryWindow(&quot;Test			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Nz7ZWrp.html" rel="bookmark">【OpenCV归纳】5 图像处理</a>
			</h2>
		</header>
		<article class="clearfix">
									<a href="https://www.iamivan.net/a/Nz7ZWrp.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTAxMDQyMjMwMTcyMDM/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YUc5dFgydGxkR2M9L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg">
							</a>
						<div class="summary">
				﻿﻿ 一.综述 本节我们将来探讨关于图像处理方面的诸多技术和应用.在学完了第一个常用的工具包之后,学习这一节将更加轻松.废话不多说,切入正题. 二.平滑处理和图像形态学 1.滤波器 &quot;平滑处理&quot;或者也称为&quot;模糊处理&quot;,英文名为blurring.对于平滑处理,我们先来介绍一个重要的函数,所有的操作都由这个函数来实现. void cvSmooth {    const CvArr* src,    CvArr* dst,    intsmoothtype=CV_GAUS			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW2Pxjb.html" rel="bookmark">【OpenCV归纳】3 在实例中学习简单函数以及数据读写</a>
			</h2>
		</header>
		<article class="clearfix">
									<a href="https://www.iamivan.net/a/MW2Pxjb.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTAxMDUyMDU5NTk2Nzg/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YUc5dFgydGxkR2M9L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg">
							</a>
						<div class="summary">
				﻿﻿ 实例一 int main() {  IplImage*  img = cvLoadImage(&quot;6085.jpg&quot;, 1);  IplImage* red = cvCreateImage(cvGetSize(img), img-&gt;depth, 1);  IplImage* green = cvCreateImage(cvGetSize(img), img-&gt;depth, 1);  IplImage* blue = cvCreateImage(cvGetSize(img			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/rz42kNM.html" rel="bookmark">&amp;lt&semi;font color&equals;&amp;quot&semi;red&amp;quot&semi;&amp;gt&semi;&lbrack;置顶&rsqb;&amp;lt&semi;&sol;font&amp;gt&semi;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Profile Introduction to Blog 您能看到这篇博客导读是我的荣幸,本博客会持续更新,感谢您的支持,欢迎您的关注与留言.博客有多个专栏,分别是关于 Windows App开发 . UWP(通用Windows平台)开发 . SICP习题解 和 Scheme语言学习 . 算法解析 与 LeetCode等题解 . Android应用开发 ,而最近会添加的文章将主要是算法和Android,不过其它内容也会继续完善. About the Author 独立 Windows App 和			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b320wkz.html" rel="bookmark">morphologyEx，dilate两种膨胀操作对比</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				发现用morphologyEx() 的 MORPH_DILATE操作和 dilate()操作得到的效果一模一样... 代码: #include &lt;opencv2/opencv.hpp&gt; #include&lt;opencv2/highgui/highgui.hpp&gt; #include&lt;opencv2/imgproc/imgproc.hpp&gt; using namespace cv; int main( ) { //载入原始图 Mat image = imread(&quot;0			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1rPNap.html" rel="bookmark">cvset&ast;d-在实现鼠标绘图时，使用cvSet2D来画轨迹，为什么在边缘处出界。求指点。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在实现鼠标绘图时,使用cvSet2D来画轨迹,为什么在边缘处出界.求指点. 下面是代码, /* 创建白色图像,通过鼠标左键绘图,右键实现橡皮擦功能 */ #include &lt;iostream&gt; #include &lt;opencv2/opencv.hpp&gt; #include &lt;opencv2/highgui/highgui.hpp&gt; using namespace std; using namespace cv; bool LFlag = false; bool			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0683nz.html" rel="bookmark">ubuntu日常使用指南</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ubuntu日常使用指南 安装软件包/编译常见软件包 有些包用apt去装就可以了,或许需要添加ppa源:有些包则版本太老,需要从源码编译安装. 查找包 aptitude search pkgName pkgName可以有多个(空格分隔) ffmpeg sudo add-apt-repository ppa:kirillshkrogalev/ffmpeg-next sudo apt-get update sudo apt-get install ffmpeg 编译安装opencv和opencv c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKQ0n5p.html" rel="bookmark">人脸识别-linux下qt中opencv打开摄像头HIGHGUI ERROR&colon;OpenCV Error&colon;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 linux下qt中opencv打开摄像头HIGHGUI ERROR:OpenCV Error: 我在Ubuntu下用qt结合opencv做一个人眼状态识别的程序,qt做界面,程序在vs控制台环境下已经可以运行,但是qt下出错.错误信息 如下: HIGHGUI ERROR: V4L/V4L2: VIDIOC_S_CROP OpenCV Error: Assertion failed (scn == 3 || scn == 4) in cvtColor, file /home/mkc/op			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4ww5Np.html" rel="bookmark" class="title">如何用javascript禁止双击</a>
					<div>
						javascript代码:function doubleCheck(){if (window.document.readyState != null &amp;&amp;window.document ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NVe7z.html" rel="bookmark" class="title">与众不同windows phone &lpar;17&rpar; Graphic and Animation（画图和动画）</a>
					<div>
						介绍 与众不同 windows phone 7.5 (sdk 7.1) 之画图和动画 图形 画笔 转换 动画 缓动 示例 1.图形(Shape) ShapeDemo.xaml &lt;phone:Ph ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2589b.html" rel="bookmark" class="title">诊断Java代码&colon; 设计可扩展的应用程序，第2部分</a>
					<div>
						玻璃箱可扩展性是指这样一种方式:软件系统可在源代码可以查看而不可以修改时被扩展 ― 它是黑箱设计(在这里构建扩展时,不查看原始代码)和开放箱设计(扩展代码直接写入到基础代码)的折衷.因为新的扩展直接建 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBykQb.html" rel="bookmark" class="title">将PHP从5&period;3&period;28升级到5&period;3&period;29时Nginx出现502错误</a>
					<div>
						  这篇文章主要介绍了将PHP从5.3.28升级到5.3.29时Nginx出现502错误,需要的朋友可以参考下 今天将PHP从5.3.28升级到5.3.29,发现网站打不开了,提示&quot;502  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1YDPb.html" rel="bookmark" class="title">制作Excel条形图的方法</a>
					<div>
						  成对条形图(或旋风图)常用于对比两类事物在不同特征项目的数据情况,例如美国总统选举中不同地区投支持票和反对票的比例情况,足球比赛中主队和客队的各项技术统计等.图表的特点是两组条形图的数据条沿中间的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EE8KM.html" rel="bookmark" class="title">Win7电脑字体模糊怎么办？</a>
					<div>
						  1.右击&quot;桌面&quot;,从弹出的菜单中选择&quot;屏幕分辨率&quot;项进入. 2.在打开的窗口中,点击&quot;广大或缩小文本和其它项目&quot;按钮. 3.接着点击&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3l46p.html" rel="bookmark" class="title">win9预览版什么时候发布？</a>
					<div>
						  win9预览版什么时候发布?相信很多对于win8失望的朋友们都在等待着win9的到来,首先和我们见面的肯定是win9技术预览版了,那么win9预览版什么时候发布呢?下面就和小编一起去了解下吧. 目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJa3lp.html" rel="bookmark" class="title">数据-在下载的同时我需要显示下载进度百分比，应该怎么做啊</a>
					<div>
						问题描述 在下载的同时我需要显示下载进度百分比,应该怎么做啊 请问大神,我使用AFNetworking来进行数据下载,在下载的同时我需要显示下载进度百分比,应该怎么做啊 解决方案 安卓中显示下载进度的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWQAjp.html" rel="bookmark" class="title">浪潮、爱立信再续前缘：融合时代的野望与梦想</a>
					<div>
						2010年以前,除了&quot;两会&quot;等场合,你很少能听到孙丕恕的言论.他执掌的浪潮集团,声量也非常一般.如今一切象是反转了.孙的身影时而&quot;两会&quot;.时而海内外论坛,言论越 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7aAWz.html" rel="bookmark" class="title">求解释啊</a>
					<div>
						问题描述 请问各位大神代码中的Employee为什么会出现这种情况 解决方案 解决方案二:缺少dll文件或者引用解决方案三:能帮忙解决下吗?解决方案四:你有tb_Employee这个实体类吗?有的话是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlGNXp.html" rel="bookmark" class="title">高分求解java注册登录</a>
					<div>
						问题描述 简单的用三大框架实现一下注册和登录功能,不要求页面 解决方案 解决方案二:这些都是比较简单的数据库操作,加上一些js的前端校验,想用户体验度的话,用一下ajax就可以了.楼主可以去网上搜一搜 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1Qvaz.html" rel="bookmark" class="title">如何选择一个具有沟通能力的网站原型</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 seo站长不仅要参与网站优化方案的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAga4p.html" rel="bookmark" class="title">Windows 8该如何关闭Windows Search服务？</a>
					<div>
						谈起Windows Search我想多数人都比较了解,它是一个能帮助我们搜索文件.视频等的系统服务,它虽然很好用,但是有些用户还是想要关闭它,但是却不知道哪里关闭,那么Win8怎么关闭Windows  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGED5eM.html" rel="bookmark" class="title">琉璃厂古玩以后网上卖</a>
					<div>
						(记者刘映花) 琉璃厂的古玩字画能在网上买卖,博士后们有了自己的创新孵化基地--在昨日的科博会上,17个科技合作项目集中签约,金额超过162亿元人民币. 本届科博会继续力促重大项目签约落地,着力推动战 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRXl5b.html" rel="bookmark" class="title">Akka并发编程&mdash;&mdash;第七节：Actor模型（六）</a>
					<div>
						主要内容: 1. Typed Actor定义 2. Typed Actor创建 3. 消息发送 1. Typed Actor定义 Akka中的Typed Actor是Active Objects设计模 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkl51M.html" rel="bookmark" class="title">MySQL &CenterDot; TokuDB &CenterDot; Savepoint漫谈</a>
					<div>
						问题描述 某TokuDB实例备库发生复制中断,报错信息甚是诡异: Error executing row event: &quot;Can't lock file (errno: 22 - Inval ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5R2QDz.html" rel="bookmark" class="title">mfc-一个关于MFC擦除绘图方面的问题</a>
					<div>
						问题描述 一个关于MFC擦除绘图方面的问题 MFC在窗口内画波纹图,如何擦除之前画上去的波纹图,完全清除会闪烁的,怎么只清除标线和点? 解决方案 这个你需要使用双缓冲,在内存中记录下先前绘制的点,然后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjGq0M.html" rel="bookmark" class="title">投资者关系频道将对电话会议进行直播，并提供录音</a>
					<div>
						UT斯达康 (Nasdaq: UTSI )今日宣布,将于美国东部时间2014年5月15日美国股市开盘前(北京时间5月15日晚)发布2014财年第一季度财报. 财报发布后,UT斯达康管理团队将于美国东部 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M125gKp.html" rel="bookmark" class="title">GridView控件的分页显示问题</a>
					<div>
						问题描述 使用DropDownList选择其中任意一项,将查询结果返回到GridView中显示,GridView启用了分页效果,问题是,当点击GridView中任意一个分页链接时,显示的是全部结果,之 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZ9Rlp.html" rel="bookmark" class="title">《 产品设计思维：电商产品设计全攻略》一一3&period;1　首页设计为什么难</a>
					<div>
						3.1 首页设计为什么难 一个电商系统做得好不好,评价的第一感知通常都来自于对其首页的印象,其次才是后端运作的商业体系与系统生态,这是有一定道理的.因为后端的商业体系大家不容易感知到,而首页通常是一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmROdz.html" rel="bookmark" class="title">asp&period;net中常用正则表达式应用实例</a>
					<div>
						 代码如下 复制代码 using System; using System.Collections.Generic; using System.Linq; using System.Text; usi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKgGdz.html" rel="bookmark" class="title">vps实战安装PMTA&plus;OEMPRO邮件营销系统学习笔记</a>
					<div>
						第一.准备工作 这里我根据这位朋友给的一份PMTA+OEMPRO组合套装文档包,以及其中的教程,然后在我已经准备好的CentOS6环境中部署,准备把破解版本压缩包上传至&quot;/usr/local ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOn208p.html" rel="bookmark" class="title">java二路归并排序示例分享&lowbar;java</a>
					<div>
						归并排序就是采用分治法进行排序: (1)将一个数组分成小的2个数组分别进行排序: (2)之后将分出来的已经拍好序的数组进行合并: 复制代码 代码如下: import java.util.Scanner ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44Z31z.html" rel="bookmark" class="title">高校招生网络安全畅通 共享教育资源</a>
					<div>
						2007年7月9日清晨,北京邮电大学招生现场,全体招生工作人员正紧张等待全国招生的开始.一切就绪,密钥.账号.密码,一层层进入招生系统.他们开始阅档.提档.预排.备份,若增加招生计划,再重新排档.审档 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRdw9kz.html" rel="bookmark" class="title">javaee-一些公司自己封装的框架是什么样的？</a>
					<div>
						问题描述 一些公司自己封装的框架是什么样的? 一些公司自己封装的框架,是不是就相当于把一套完整独立的模块压成jar包,然后谁想用这个功能,就直接导入jar就ok了,就跟网上的开源jar包一样? 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn4ONrb.html" rel="bookmark" class="title">去哪儿指责携程订房倒卖 携程称其恶意炒作</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 去哪儿:携程在去哪儿低价订房再加价 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBy9qJz.html" rel="bookmark" class="title">步步高发布称公告进军电子商务</a>
					<div>
						10月18日消息,步步高今日发布公告称,拟成立步步高电子商务有限公司,以独立子公司的经营模式正式进军电子商务领域.同时,公司股票自2013年10月18日开市起复牌. 昨日,因媒体报道步步高将进军电子商 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgP8ZOp.html" rel="bookmark" class="title">哈尔滨移动被指话费易交赠礼难兑</a>
					<div>
						话费易交赠礼难兑 作者:■通讯员赵航本报记者刘洁 一段时期以来,中国移动哈尔滨分公司的名声有些&quot;坏&quot;--该公司推出的一款名为&quot;中低端预存话费赠礼&quot;的活动被指是& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnO67oz.html" rel="bookmark" class="title">Java Application Monitor API 2&period;71发布 应用程序监视器</a>
					<div>
						Java Application Monitor 简称(JAMon),是一个开源的高性能应用程序监视器,使用简单和线程安全的Java API,允许http://www.aliyun.com/zixun ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPO461M.html" rel="bookmark" class="title">《地牢猎手4》游侠哨兵攻略 主动技能用法介绍</a>
					<div>
						&lt;地牢猎手4&gt;游侠哨兵攻略不得不说地牢猎手4的游戏制作素质的确十分优秀,四大职业都各有特色,职业的难度也有着很大的不同,小编认为这些职业中最难的当属哨兵了,这个职业是一个游侠类的 弓箭手职 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
